var system = require("../../../system")
const CtlBase = require("../../ctl.base");
const { getResultFail } = require("../../../system");
class TmrejaskcaseCtl extends CtlBase {
  constructor() {
    super("rejreex", CtlBase.getServiceName(TmrejaskcaseCtl));
  }

  async test () {
    console.log('test------')
    return system.getResult('test')
  }

  async create(pobj, qobj, req) {
    console.log('create ---', pobj)
    try {
      let result = await this.service.create(pobj)
      return system.getResultSuccess(result)
    } catch (error) {
      return getResultFail(error.message)
    }
  }
}
module.exports = TmrejaskcaseCtl;
